
"Exact solution of an ODE."
struct IntegratorExactODE{DT, TT, D, QT <: Function} <: DeterministicIntegrator{DT,TT}
    q::QT
    Δt::TT

    function IntegratorExactODE{DT,D}(solution::solType, Δt::TT) where {DT, TT, D, solType <: Function}
        new{DT,TT,D,solType}(solution, Δt)
    end
end


timestep(int::IntegratorExactODE) = int.Δt


"Integrate ODE with exact solution."
function integrate_step!(int::IntegratorExactODE{DT,TT}, sol::AtomicSolutionODE{DT,TT}) where {DT,TT}
    # reset atomic solution
    reset!(sol, timestep(int))

    # compute new solution
    int.q(sol.t̅ + timestep(int), sol.q̅, sol.q, timestep(int))
end
